<?php

/*
  Created on : Mayo 26, 2019, 01:14:34 PM
  Author     : Gabriel Hernandez Gonzalez
 */
 	if(!isset($_SESSION)) session_start();
	
	require_once "../core/core_classes.php";
	require_once "../config.php";
	$user = json_decode($_SESSION['user']);

	switch (filter_input(INPUT_POST, 'tipoOperacion')) {

		case 'guardar':
		
			$pNidEmpresa = $user->nidEmpresa;
			$pNombre = filter_input(INPUT_POST, 'pNombre');	
			
			// get settings
			$stmt = $conn->prepare("call contenedor_dano_insertar($pNidEmpresa,'$pNombre')");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;
			
		case 'actualizar':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
			$pNombre = filter_input(INPUT_POST, 'pNombre');	
			
			// get settings
			$stmt = $conn->prepare("call contenedor_danos_actualizar($pNid,$pNidEmpresa,'$pNombre')");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;
			
		case 'eliminar':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
			$pActivo = filter_input(INPUT_POST, 'pEstado');
			
			// get settings
			$stmt = $conn->prepare("call contenedor_danos_estado($pNid,$pNidEmpresa,$pActivo)");
			$stmt->execute();			
						
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$transaccion = $row['Transaccion'];
			$mensaje = $row['Mensaje'];
			
			$response = new root_response;
			$response->transaccion = $transaccion;
			$response->mensaje = $mensaje;
			
			echo json_encode($response);
			
			break;			
		case 'consultaXestado':

			$pNidEmpresa = $user->nidEmpresa;
		
			// get settings
			$stmt = $conn->prepare("call contenedor_danos_consulta($pNidEmpresa)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_danos_contenedor();
				$respuesta->nid = $row["Id"];
				$respuesta->nombre = $row["NomDano"];
				
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		case 'consultaXnid':

			$pNidEmpresa = $user->nidEmpresa;
			$pNid = filter_input(INPUT_POST, 'pNid');
		
			// get settings
			$stmt = $conn->prepare("call contenedor_danos_consultaxId($pNid,$pNidEmpresa)");
			$stmt->execute();	

			$response = new root_response;
			while($row = $stmt->fetch(PDO::FETCH_ASSOC)) 
			{ 
				$respuesta = new core_danos_contenedor();
				$respuesta->nid = $row["Id"];
				$respuesta->nombre = $row["NomDano"];
	
				$response->datos[] = $respuesta;				
			};
						
			$response->transaccion = "1";
			$response->mensaje = "Ok";
			
			echo json_encode($response);
			
			break;
			
		default:
			echo json_encode(system_get_message(SISTEMA_PARAMETRO_NO_RECONOCIDO));
			break;
	}
        
?>
